Summary: GPS mapping and management tool
Name: qmapshack
Version: 1.7.2
Release: %mkrel 3
Group: File tools
License: GPLv3+ and BSD
URL: https://bitbucket.org/maproom/qmapshack/wiki/Home
Source0: https://bitbucket.org/maproom/%{name}/downloads/%{name}-%{version}.tar.xz
Patch0: qmapshack-0.11.0-cmake28.patch
# use planetsplitter from routino package
Patch1: qmapshack-1.3.1-system-routino.diff
Requires: proj
Requires: gdal
Requires: routino
BuildRequires: cmake
BuildRequires: qttools5
BuildRequires: proj-devel
BuildRequires: gdal-devel
BuildRequires: zlib1-devel
BuildRequires: jpeg-devel
BuildRequires: desktop-file-utils
BuildRequires: routino
BuildRequires: libroutino-devel
BuildRequires: libqt5widgets-devel 
BuildRequires: libqt5core-devel
BuildRequires: libqt5xml-devel
BuildRequires: libqt5script-devel 
BuildRequires: libqt5sql-devel
BuildRequires: libqt5webkitwidgets-devel
BuildRequires: libqt5designer-devel
BuildRequires: libqt5help-devel
BuildRequires: libqt5dbus-devel 
BuildRequires: libdmtx-devel 
BuildRequires: libexif12-devel
BuildRequires: libxerces-c-devel

%description
QMapShack provides a versatile tool for GPS maps in GeoTiff format as well as
Garmin's img vector map format. You can also view and edit your GPX tracks.
QMapShack is the successor of QLandkarteGT.

Main features:
- use of several work-spaces
- use several maps on a work-space
- handle data project-oriented
- exchange data with the device by drag-n-drop

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF ..
%make VERBOSE=1

%install
rm -rf %buildroot
%makeinstall_std -C build


# fix desktop validation
sed -i s+Geography+Science\;Geography+ %{buildroot}%{_datadir}/applications/%{name}.desktop
sed -i s+tracks+tracks\;+ %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/QMapShack.png
%{_datadir}/icons/hicolor/*x*/apps/QMapShack.png
%{_datadir}/icons/hicolor/scalable/apps/QMapShack.svg
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*

%changelog
* Thu Jun 08 2017 adrianomorselli <adrianomorselli> 1.7.2-3uplos2017
- rebuild against newer routino
